import { View } from '@tarojs/components'
import React, { useCallback, memo, useEffect, useMemo, useRef, useState, ReactNode } from 'react'
import styles from "./index.module.scss"
import classnames from "classnames";
import Taro, { usePullDownRefresh, useRouter, useDidShow } from '@tarojs/taro';
import { alert } from '@/common/common'
import { formatPriceDiv, formatDateTime, formatWeightDiv } from '@/common/format'
import DropDownItem from '@/components/dropDown-item'
interface Props {
    handSort?: (any) => void
}

export default memo((props: Props) => {

    const DropDownItemRef = useRef<any>()
    // const close = () => {
    //     DropDownItemRef.current.closePopup()
    // }

    const [list, setlist] = useState<any[]>([
        {
            name: '下单时间',
            id: '1',
            checked: false
        },
        {
            name: '创建时间',
            id: '2',
            checked: false
        },
        {
            name: '更新时间',
            id: '3',
            checked: false
        }
    ])

    const [currentValue, setCurrentValue] = useState<number>(-1)

    const handItem = (it) => {
        list.map(item => {
            if (item.id == it.id) {
                item.checked = true
            } else {
                item.checked = false
            }
            return item
        })
        setlist([...list])
        props.handSort?.(it.id)
    }


    const title = useMemo(() => {
        let arr = list.filter(item => { return item.checked })
        if (!arr.length) {
            return '默认排序'
        } else {
            return arr[0]?.name
        }
    }, [list])


    return (
        <DropDownItem ref={DropDownItemRef} title={title} value={currentValue} activeColor='#337fff'>
            <View className={styles.mainBox}>
                {
                    list.map((item, index) => {
                        return (
                            <View className={classnames(item.checked ? styles.itemactiveFlex : styles.itemFlex)} onClick={() => handItem?.(item)}>{item.name}</View>
                        )
                    })
                }
            </View>
        </DropDownItem>
    )
})