import { View } from '@tarojs/components'
import React, { useCallback, memo, useEffect, useMemo, useRef, useState, ReactNode } from 'react'
import styles from "./index.module.scss"
import classnames from "classnames";
import Taro, { usePullDownRefresh, useRouter, useDidShow } from '@tarojs/taro';
import { alert } from '@/common/common'
import { formatPriceDiv, formatDateTime, formatWeightDiv } from '@/common/format'
import DropDownItem from '@/components/dropDown-item'
import { mppurchaserlist } from "@/api/customer"
interface Props {
    handType: (any) => void,
    handTags: (any) => void
}

export default memo((props: Props) => {

    const DropDownItemRef = useRef<any>()

    const [currentValue, setCurrentValue] = useState<number>(-1)

    const [list, setlist] = useState<any[]>([
        {
            name: '二批',
            id: 0,
            checked: false
        },
        {
            name: '制衣厂',
            id: 1,
            checked: false
        },
        {
            name: '布行',
            id: 2,
            checked: false
        }
    ])

    useEffect(() => {
        getList()
    }, [])
    const { fetchData } = mppurchaserlist()
    const getList = async () => {
        const res = await fetchData()
        if (res.data) {
            settaglist([...res.data.list])
        }
    }

    const [taglist, settaglist] = useState<any[]>([])

    const handItem = (it) => {
        list.map(item => {
            if (item.id == it.id) {
                item.checked = true
            } else {
                item.checked = false
            }
            return item
        })
        setlist([...list])
        props.handType(list)
    }

    const handTag = (it) => {
        taglist.map(item => {
            if (item.id == it.id) {
                item.checked = !item.checked
            }
            return item
        })
        settaglist([...taglist])
        props.handTags(taglist)
    }

    return (
        <DropDownItem ref={DropDownItemRef} title={'自定标签'} value={currentValue} activeColor='#337fff'>
            <View className={styles.mainBox}>
                <View className={styles.pussTitle}>客户类型</View>
                <View className={styles.pussBox}>
                    {
                        list.map((item, index) => {
                            return (
                                <View className={classnames(item.checked ? styles.itemactiveFlex : styles.itemFlex)} onClick={() => handItem?.(item)}>{item.name}</View>
                            )
                        })
                    }
                </View>
                <View className={styles.pussTitle}>自定义标签</View>
                <View className={styles.pussBox}>
                    {
                        taglist.map((item, index) => {
                            return (
                                <View className={classnames(item.checked ? styles.itemactiveFlex : styles.itemFlex)} onClick={() => handTag?.(item)}>{item.name}</View>
                            )
                        })
                    }
                </View>
            </View>
        </DropDownItem>
    )
})